dofile("scripts/entities/entityinclude.lua")

n = 0
function init(me)
	n = getNaija()
end

function update(me, dt)
	if hasLi() and isFlag(FLAG_HINT_LISONG, 0) then
		if node_isEntityIn(me, n) then
			setControlHint(getStringBank(6), 0, 0, 0, 8)
			setFlag(FLAG_HINT_LISONG, 1)
			if not hasSong(SONG_LI) then
				learnSong(SONG_LI)
			end
		end
	end
end
